{ config
, lib
, ...
}:

with lib;
let
  cfg = config.my.programs.foot;
in
{
  options.my.programs.foot.enable = mkEnableOption "foot";

  config = mkIf cfg.enable {
    home-manager.users.moritz = {
      programs.foot = {
        enable = true;
        settings = {
          main = {
            term = "xterm-256color";
            font = "FiraCode Nerd Font:size=10";
          };
          colors = {
            alpha = 0.98;
          };
        };
      };
    };
  };
}
